Home CVE Database CVE-2017-6508

CVE-2017-6508

Description

CRLF injection vulnerability in the url_parse function in url.c in Wget through 1.19.1 allows remote attackers to inject arbitrary HTTP headers via CRLF sequences in the host subcomponent of a URL.

Priority: MEDIUM
CVSS v3: 6.1
Publish Date: Mar 7, 2017
Related ID: --
CVSS v2: Medium
Modified Date: Mar 7, 2017

Find out more about CVE-2017-6508 from the MITRE-CVE dictionary and NIST NVD


Products Affected

Login may be required to access defects or downloads.

Product Name Status Defect Fixed Downloads
Linux
Wind River Linux LTS 17 Fixed -- 10.0.0.0 --
Wind River Linux 8 Fixed LIN8-6019
8.0.0.16 --
Wind River Linux 9 Fixed LIN9-3519
9.0.0.5 --
Wind River Linux 7 Fixed -- 7.0.0.24 --
Wind River Linux LTS 18 Not Vulnerable -- -- --
Wind River Linux LTS 19 Not Vulnerable -- -- --
Wind River Linux CD release Not Vulnerable -- -- --
VxWorks
VxWorks 7 Not Vulnerable -- -- --
VxWorks 6.9 Not Vulnerable -- -- --

Related Products

Product Name Status Defect Fixed Downloads

Comments

wget

Live chat
Online